# Interface TableExtensionFactory

Creates new instances of data/_TableExtension!TableExtension.

interface TableExtensionFactory {
create(properties: TableExtensionProperties): TableExtension<TableExtensionProperties>;
}

#### Implemented by

- DefaultTableExtensionFactory

#####
Index

### Methods

create

##
Methods

### create

- create(properties): TableExtension<TableExtensionProperties>

- Creates a data/_TableExtension!TableExtension from the given properties.

  #### Parameters

  - properties: TableExtensionProperties

    The table extension properties.

  #### Returns TableExtension<TableExtensionProperties>